Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#448 Improve discussion of <substJoin> element

GREEN
closed-fixed
None
5
2013-04-12
2013-03-27
Lou Burnard
No

There are just two sentences and one vague example to explain the new <substJoin> element at the end of 11.3.1.5 (http://www.tei-c.org/release/doc/tei-p5-doc/en/html/PH.html#PHSU) The second sentence reads "For example, in the following example from Thomas Moore's Lalla Rookh, the metrical structure of the verse means that the deleted word and its substitution are in different positions, and so a subst element would be invalid because of the intervening text: "

a) this sentence is very confusing. I don't understand what connexion there can be between the metrical structure and the fact that a <subst> element would be invalid, but the "and so" implies that there is one. Also surely the deleted word and the added one are necessarily in different positions. But mostly this sentence just does not explain why <subst> cannot be used here.

b) most of the other examples in this section are accompanied by a graphic showing the passage in question. this would be particularly useful in this case, especially since there's no link to the source of the example, as there should be.

If we can't improve on this we should revert the change that introduced this hastily conceived and inadequately described element.

Related

Feature Requests: #448

Discussion

  • BODARD Gabriel
    BODARD Gabriel
    2013-03-27

    Adding better prose (suggestions?) and more examples and illustration: +1

    Reverting this change: -1000
    This stuff is already in use, and I don't think it was poorly conceived or justified at all. Inadequately described: guilty as charged. Let's fix that.

     
    • What about instead,

      "In the following example from Thomas Moore's Lalla Rookh, the deletion and addition are not contiguous: they are separated by the word "thus," which is not part of the scribal intervention being marked. Because of this intervening text, it would be inappropriate to use <subst> to group this <add> and <del>. <substJoin> allows the encoder to indicate that additions and deletions occurring in different places are part of a single scribal intervention."

       
      Last edit: Rebecca Welzenbach 2013-04-11
  • Lou Burnard
    Lou Burnard
    2013-03-27

    Glad you agree that it's inadequately described at least!

    [this just a test to see whether a reply will update the ticket]

    On 27/03/13 17:03, BODARD Gabriel wrote:

    Adding better prose (suggestions?) and more examples and illustration: +1

    Reverting this change: -1000
    This stuff is already in use, and I don't think it was poorly
    conceived or justified at all. Inadequately described: guilty as
    charged. Let's fix that.


    [feature-requests:#448]
    http://sourceforge.net/p/tei/feature-requests/448/ Improve
    discussion of element

    Status: open
    Created: Wed Mar 27, 2013 12:42 PM UTC by Lou Burnard
    Last Updated: Wed Mar 27, 2013 12:42 PM UTC
    Owner: nobody

    There are just two sentences and one vague example to explain the new
    |<substJoin>| element at the end of 11.3.1.5
    (http://www.tei-c.org/release/doc/tei-p5-doc/en/html/PH.html#PHSU) The
    second sentence reads "For example, in the following example from
    Thomas Moore's Lalla Rookh, the metrical structure of the verse means
    that the deleted word and its substitution are in different positions,
    and so a subst element would be invalid because of the intervening text: "

    a) this sentence is very confusing. I don't understand what connexion
    there can be between the metrical structure and the fact that a
    |<subst>| element would be invalid, but the "and so" implies that
    there is one. Also surely the deleted word and the added one are
    necessarily in different positions. But mostly this sentence just does
    not explain why |<subst>| cannot be used here.

    b) most of the other examples in this section are accompanied by a
    graphic showing the passage in question. this would be particularly
    useful in this case, especially since there's no link to the source of
    the example, as there should be.

    If we can't improve on this we should revert the change that
    introduced this hastily conceived and inadequately described element.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/tei/feature-requests/448/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #448

  • BODARD Gabriel
    BODARD Gabriel
    2013-04-11

    • assigned_to: Rebecca Welzenbach
     
  • BODARD Gabriel
    BODARD Gabriel
    2013-04-11

    • Group: AMBER --> GREEN
     
  • Becky will edit the prose as suggested above--also mentioning that the position of the substJoin element is arbitrary

    This poem was used in a TEI workshop Becky took--she may have the image of the page. Will look for it anyway.

     
    Last edit: Rebecca Welzenbach 2013-04-11
  • Prose corrected at rev 11863. A related graphic may be found later.

     
    • status: open --> closed-fixed